# DataExchange
TKSTEP209
StepFEA

# StepFEA_Array1OfElementRepresentation Class Reference

`#include <StepFEA_Array1OfElementRepresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_Array1OfElementRepresentation (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepFEA_Array1OfElementRepresentation (const Handle(StepFEA_ElementRepresentation)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepFEA_ElementRepresentation)&V)
Standard_EXPORT void | Destroy ()
| ~StepFEA_Array1OfElementRepresentation ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepFEA_Array1OfElementRepresentation & | Assign (const StepFEA_Array1OfElementRepresentation &Other)
const StepFEA_Array1OfElementRepresentation & | operator= (const StepFEA_Array1OfElementRepresentation &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepFEA_ElementRepresentation)&Value)
const Handle_StepFEA_ElementRepresentation & | Value (const Standard_Integer Index) const
const Handle_StepFEA_ElementRepresentation & | operator() (const Standard_Integer Index) const
Handle_StepFEA_ElementRepresentation & | ChangeValue (const Standard_Integer Index)
Handle_StepFEA_ElementRepresentation & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepFEA_Array1OfElementRepresentation (const StepFEA_Array1OfElementRepresentation &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Array1OfElementRepresentation::StepFEA_Array1OfElementRepresentation | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepFEA_Array1OfElementRepresentation::StepFEA_Array1OfElementRepresentation | ( | const Handle(StepFEA_ElementRepresentation)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepFEA_Array1OfElementRepresentation::~StepFEA_Array1OfElementRepresentation | ( |  | ) | `[inline]`

Standard_EXPORT StepFEA_Array1OfElementRepresentation::StepFEA_Array1OfElementRepresentation | ( | const StepFEA_Array1OfElementRepresentation & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepFEA_Array1OfElementRepresentation& StepFEA_Array1OfElementRepresentation::Assign | ( | const StepFEA_Array1OfElementRepresentation & | Other | ) |

Handle_StepFEA_ElementRepresentation& StepFEA_Array1OfElementRepresentation::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepFEA_Array1OfElementRepresentation::Destroy | ( |  | ) |

Standard_EXPORT void StepFEA_Array1OfElementRepresentation::Init | ( | const Handle(StepFEA_ElementRepresentation)& | V | ) |

Standard_Boolean StepFEA_Array1OfElementRepresentation::IsAllocated | ( |  | ) | const

Standard_Integer StepFEA_Array1OfElementRepresentation::Length | ( |  | ) | const

Standard_Integer StepFEA_Array1OfElementRepresentation::Lower | ( |  | ) | const

void StepFEA_Array1OfElementRepresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepFEA_Array1OfElementRepresentation::operator new | ( | size_t | size | ) | `[inline]`

void* StepFEA_Array1OfElementRepresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepFEA_ElementRepresentation& StepFEA_Array1OfElementRepresentation::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepFEA_ElementRepresentation& StepFEA_Array1OfElementRepresentation::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepFEA_Array1OfElementRepresentation& StepFEA_Array1OfElementRepresentation::operator= | ( | const StepFEA_Array1OfElementRepresentation & | Other | ) | `[inline]`

void StepFEA_Array1OfElementRepresentation::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepFEA_ElementRepresentation)& | Value
| ) |

Standard_Integer StepFEA_Array1OfElementRepresentation::Upper | ( |  | ) | const

const Handle_StepFEA_ElementRepresentation& StepFEA_Array1OfElementRepresentation::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepFEA_Array1OfElementRepresentation::isAllocated `[private]`

Standard_Integer StepFEA_Array1OfElementRepresentation::myLowerBound `[private]`

Standard_Address StepFEA_Array1OfElementRepresentation::myStart `[private]`

Standard_Integer StepFEA_Array1OfElementRepresentation::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepFEA_Array1OfElementRepresentation.hxx